(* file: parse_nominal.sml *)
(* description: parser definition for nominal rewriting *)
(* author: Takahito Aoto *)

structure NominalSpecialSymbols = 
struct 
val words = ["->", "|-", ":=" ]   (* spaces are required around these keywords *)
val symbols = [#"(", #")", #"[", #"]", #"<", #">", #"," , #"#", #"{", #"}"] 
end

structure NominalLex = Lexical (NominalSpecialSymbols)
structure ParseNominal = Parsing (NominalLex)
